## wireshark 2.0.4+gdd7746e

=== debian/changelog ===
wireshark (2.0.4+gdd7746e-1) unstable; urgency=high

  * Stop listing debconf in wireshark-common's dependencies in control
    file, the versioned depends is generated by the package build
    (Closes: #825957)
  * New upstream release 2.0.4
    - release notes:
      https://www.wireshark.org/docs/relnotes/wireshark-2.0.4.html
    - security fixes:
      - The SPOOLS dissector could go into an infinite loop.
        Discovered by the CESG.
      - The IEEE 802.11 dissector could crash
      - The IEEE 802.11 dissector could crash. Discovered by
         Mateusz Jurczyk.
      - The UMTS FP dissector could crash
      - Some USB dissectors could crash. Discovered by Mateusz Jurczyk.
      - The Toshiba file parser could crash. Discovered by iDefense Labs.
      - The CoSine file parser could crash. Discovered by iDefense Labs.
      - The NetScreen file parser could crash. Discovered by
         iDefense Labs.
      - The Ethernet dissector could crash

 -- Balint Reczey <balint@balintreczey.hu>  Wed, 08 Jun 2016 22:59:34 +0200

=== debian/control ===
Source: wireshark
Section: net
Priority: optional
Maintainer: Balint Reczey <balint@balintreczey.hu>
Standards-Version: 3.9.6
Build-Depends: libgtk-3-dev,
# enable Qt 5 related dependencies for Qt 5-enabled build
 qtbase5-dev, qtbase5-dev-tools, qttools5-dev, qttools5-dev-tools,
 qtmultimedia5-dev, libqt5svg5-dev,
# enable Qt 4 related dependencies for Qt 4-enabled build
# qt4-qmake, libqt4-dev,
 libpcap0.8-dev, flex, libz-dev, debhelper (>= 9), po-debconf, libtool,
 python (>= 2.6.6-3~), python-ply, libc-ares-dev, xsltproc, dh-python,
 docbook-xsl (>= 1.64.1.0-0), docbook-xml, libxml2-utils, libpcre3-dev,
 libcap2-dev [linux-any] | libcap-dev (>= 2.17) [linux-any],
 bison,
# enable versioned libgnutls28-dev below to have GPLv2+ compatible GMP
 libgnutls28-dev (>= 3.2.14-1~),
# enable backports-compatible libgnutls-dev
# libgnutls-dev,
 libgcrypt-dev, portaudio19-dev, libkrb5-dev, liblua5.2-dev, libsmi2-dev,
 libgeoip-dev, dpkg-dev (>= 1.16.1~), imagemagick, xdg-utils,
 libnl-genl-3-dev [linux-any], libnl-route-3-dev [linux-any], asciidoc, cmake, w3m,
 libsbc-dev
Build-Conflicts: libsnmp4.2-dev, libsnmp-dev
Vcs-Svn: svn://anonscm.debian.org/collab-maint/ext-maint/wireshark/trunk
Vcs-Browser: http://anonscm.debian.org/viewvc/collab-maint/ext-maint/wireshark/trunk/
Homepage: http://www.wireshark.org/

Package: wireshark-common
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libwireshark6 (>= ${binary:Version}),
 libwiretap5 (>= ${binary:Version}), libcap2-bin [linux-any]
Recommends: wireshark (>= ${binary:Version}) | tshark (>= ${binary:Version})
Breaks: ethereal (<< 1.0.0-3),
        wireshark (<< 2.0.0~),
        wireshark-qt (<< 2.0.0~rc3+g841d5e1)
Replaces: ethereal (<< 1.0.0-3),
        wireshark (<< 2.0.0~),
        wireshark-qt (<< 2.0.0~rc3+g841d5e1)
Description: network traffic analyzer - common files
 Wireshark is a network "sniffer" - a tool that captures and analyzes
 packets off the wire. Wireshark can decode too many protocols to list
 here.
 .
 This package provides files common to both wireshark (the GTK+ version)
 and tshark (the console version).

Package: wireshark
Architecture: any
Depends: wireshark-qt | wireshark-gtk, ${misc:Depends}
Replaces: ethereal (<< 1.0.0-3)
Conflicts: ethereal (<< 1.0.0-3)
Description: network traffic analyzer - meta-package
 Wireshark is a network "sniffer" - a tool that captures and analyzes
 packets off the wire. Wireshark can decode too many protocols to list
 here.
 .
 This is a meta-package for Wireshark.

Package: wireshark-qt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, wireshark-common (= ${binary:Version}), xdg-utils
Recommends: libqt5multimedia5-plugins
Replaces: ethereal (<< 1.0.0-3), wireshark (<< 2.0.0~)
Breaks: ethereal (<< 1.0.0-3), wireshark (<< 2.0.0~)
Description: network traffic analyzer - Qt version
 Wireshark is a network "sniffer" - a tool that captures and analyzes
 packets off the wire. Wireshark can decode too many protocols to list
 here.
 .
 This package provides the Qt version of Wireshark.

Package: wireshark-gtk
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, wireshark-common (= ${binary:Version}), xdg-utils
Replaces: ethereal (<< 1.0.0-3), wireshark (<< 2.0.0~)
Breaks: ethereal (<< 1.0.0-3), wireshark (<< 2.0.0~)
Description: network traffic analyzer - GTK+ version
 Wireshark is a network "sniffer" - a tool that captures and analyzes
 packets off the wire. Wireshark can decode too many protocols to list
 here.
 .
 This package provides the GTK+ version of Wireshark.

Package: tshark
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, wireshark-common (= ${binary:Version})
Replaces: tethereal (<< 1.0.0-3)
Conflicts: tethereal (<< 1.0.0-3)
Description: network traffic analyzer - console version
 Wireshark is a network "sniffer" - a tool that captures and analyzes
 packets off the wire. Wireshark can decode too many protocols to list
 here.
 .
 This package provides the console version of wireshark, named
 "tshark".

Package: wireshark-dev
Architecture: any
Section: devel
Depends: ${misc:Depends}, omniidl (>= 4.0.1-2), libpcap0.8-dev, libtool,
 libglib2.0-dev, ${python:Depends}, python-ply, snacc, autotools-dev, debhelper,
 cdbs, automake, autoconf, libwireshark-dev, libwiretap-dev
Replaces: ethereal-dev (<< 1.0.0-3)
Conflicts: ethereal-dev (<< 1.0.0-3)
Description: network traffic analyzer - development tools
 Wireshark is a network "sniffer" - a tool that captures and analyzes
 packets off the wire. Wireshark can decode too many protocols to list
 here.
 .
 This package provides idl2wrs and other files necessary for developing
 new packet dissectors.

Package: wireshark-doc
Priority: extra
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: network traffic analyzer - documentation
 Wireshark is a network "sniffer" - a tool that captures and analyzes
 packets off the wire. Wireshark can decode too many protocols to list
 here.
 .
 This package contains Wireshark User's guide, Wireshark Developer's Guide
 and the Lua Reference.

Package: libwireshark6
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, libwireshark-data (>= ${source:Version}),
 libwsutil6 (>= ${source:Version})
Suggests: wireshark-doc (>= ${source:Version})
Conflicts: wireshark-common (<< 1.4.0~rc2-1)
Replaces: wireshark-common (<< 1.4.0~rc2-1)
Description: network packet dissection library -- shared library
 The libwireshark library provides the network packet dissection services
 developed by the Wireshark project.

Package: libwsutil6
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: wireshark-common (<< 1.4.0~rc2-1), libwireshark1 (<< 1.4.2-2)
Replaces: wireshark-common (<< 1.4.0~rc2-1), libwireshark1 (<< 1.4.2-2)
Description: network packet dissection utilities library -- shared library
 The libwsutil library provides utility functions for libwireshark6.

Package: libwsutil-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends} , libwsutil6 (= ${binary:Version})
Conflicts: wireshark-common (<< 1.4.0~rc2-1), libwireshark-dev (<< 1.4.2-2),
 wireshark-dev (<< 1.4.0~rc2-1)
Replaces: wireshark-common (<< 1.4.0~rc2-1), libwireshark-dev (<< 1.4.2-2),
 wireshark-dev (<< 1.4.0~rc2-1)
Description: network packet dissection utilities library -- development files
 The libwsutil library provides utility functions for libwireshark6.
 .
 This package contains the static library and the C header files that are
 needed for applications to use the libwsutil library.

Package: libwireshark-data
Section: libs
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, libjs-openlayers
Conflicts: wireshark-common (<< 1.4.0~rc2-1)
Replaces: wireshark-common (<< 1.4.0~rc2-1)
Recommends: geoip-database, geoip-database-extra
Suggests: snmp-mibs-downloader
Description: network packet dissection library -- data files
 The libwireshark library provides the network packet dissection services
 developed by the Wireshark project.
 .
 This package contains the platform independent files.

Package: libwireshark-dev
Section: libdevel
Depends: ${misc:Depends}, libwsutil-dev, libwireshark6 (= ${binary:Version})
Conflicts: wireshark-dev (<< 1.4.0~rc2-1)
Replaces: wireshark-dev (<< 1.4.0~rc2-1)
Architecture: any
Description: network packet dissection library -- development files
 The "libwireshark" library provides the network packet dissection services
 developed by the Wireshark project.
 .
 This package contains the static library and the C header files that are
 needed for applications to use libwireshark services.

Package: libwiretap5
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: wireshark-common (<< 1.4.0~rc2-1)
Description: network packet capture library -- shared library
 Wiretap, part of the Wireshark project, is a library that allows one to
 read and write several packet capture file formats.
 .
 Supported formats are:
  * Libpcap
  * Sniffer
  * LANalyzer
  * Network Monitor
  * "snoop"
  * "iptrace"
  * Sniffer Basic (NetXRay)/Windows Sniffer Pro
  * RADCOM WAN/LAN Analyzers
  * Lucent/Ascend access products
  * HP-UX nettl
  * Toshiba ISDN Router
  * ISDN4BSD "i4btrace" utility
  * Cisco Secure Intrusion Detection System iplogging facility
  * pppd logs (pppdump-format files)
  * VMS TCPTRACE
  * DBS Etherwatch (text format)
  * Catapult DCT2000 (.out files)
 .
 Wiretap's shortcomings are: no filter capability and no support for packet
 capture.

Package: libwiretap-dev
Section: libdevel
Depends: ${misc:Depends}, libwiretap5 (= ${binary:Version})
Conflicts: wireshark-dev (<< 1.4.0~rc2-1)
Replaces: wireshark-dev (<< 1.4.0~rc2-1)
Architecture: any
Description: network packet capture library -- development files
 Wiretap, part of the Wireshark project, is a library that allows one to
 read and write several packet capture file formats.
 .
 Supported formats are:
  * Libpcap
  * Sniffer
  * LANalyzer
  * Network Monitor
  * "snoop"
  * "iptrace"
  * Sniffer Basic (NetXRay)/Windows Sniffer Pro
  * RADCOM WAN/LAN Analyzers
  * Lucent/Ascend access products
  * HP-UX nettl
  * Toshiba ISDN Router
  * ISDN4BSD "i4btrace" utility
  * Cisco Secure Intrusion Detection System iplogging facility
  * pppd logs (pppdump-format files)
  * VMS TCPTRACE
  * DBS Etherwatch (text format)
  * Catapult DCT2000 (.out files)
 .
 Wiretap's shortcomings are: no filter capability and no support for packet
 capture.
 .
 This package contains the static library and the C header files.

## wireshark 2.2.0+g5368c50

=== CMakeLists.txt ===
# CMakeLists.txt
#
# Wireshark - Network traffic analyzer
# By Gerald Combs <gerald@wireshark.org>
# Copyright 1998 Gerald Combs
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
#

project(Wireshark C CXX)

# Updated by make-version.pl
set(GIT_REVISION 0)
set(PROJECT_MAJOR_VERSION 2)
set(PROJECT_MINOR_VERSION 2)
set(PROJECT_PATCH_VERSION 0)
set(PROJECT_BUILD_VERSION ${GIT_REVISION})
set(PROJECT_VERSION_EXTENSION "")

if(DEFINED ENV{WIRESHARK_VERSION_EXTRA})
	set(PROJECT_VERSION_EXTENSION "$ENV{WIRESHARK_VERSION_EXTRA}")
endif()

set(PROJECT_VERSION "${PROJECT_MAJOR_VERSION}.${PROJECT_MINOR_VERSION}.${PROJECT_PATCH_VERSION}${PROJECT_VERSION_EXTENSION}")

message(STATUS "Generating build using CMake ${CMAKE_VERSION}")
if(WIN32)
	# Needed for proper Qt linking. See
	# http://www.cmake.org/cmake/help/v3.0/policy/CMP0020.html
	# 3.1.3 is the currently supported version
	cmake_minimum_required(VERSION 3.1.3)
else()
	cmake_minimum_required(VERSION 2.8.8)
endif()

# Needs to be set after cmake_minimum_required or cmake_policy(VERSION)
# Policy since 2.6.1
cmake_policy(SET CMP0008 NEW)
# Policy since 2.6.3
# Backward compatibility for versions < 2.6.3
cmake_policy(SET CMP0011 OLD)
# Policy since 2.8.1
cmake_policy(SET CMP0015 NEW)

#Where to find local cmake scripts
set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules)

# Set old behaviour for LOCATION property
if (POLICY CMP0026)
	cmake_policy(SET CMP0026 OLD)
endif()

# Set old behaviour for variable quoting
if (POLICY CMP0054)
	cmake_policy(SET CMP0054 OLD)
endif()

# Set old behaviour for MACOSX_RPATH
if (POLICY CMP0042)
	cmake_policy(SET CMP0042 OLD)
endif()

# If our target platform is enforced by our generator, set
# WIRESHARK_TARGET_PLATFORM accordingly. Otherwise use
# %WIRESHARK_TARGET_PLATFORM%.

if(WIN32)
	find_package(PowerShell REQUIRED)

	if(${CMAKE_CL_64} OR "${CMAKE_GENERATOR}" MATCHES "Win64")
		set(WIRESHARK_TARGET_PLATFORM win64)
	elseif("${CMAKE_GENERATOR}" MATCHES "Visual Studio")
		set(WIRESHARK_TARGET_PLATFORM win32)
	else()
		set(WIRESHARK_TARGET_PLATFORM $ENV{WIRESHARK_TARGET_PLATFORM})
	endif()

	if ("${WIRESHARK_TARGET_PLATFORM}" MATCHES "win64")
		set(PROCESSOR_ARCHITECTURE amd64)
	else()
		set(PROCESSOR_ARCHITECTURE x86)
	endif()

	# Sanity check
	if(DEFINED ENV{PLATFORM})
		string(TOLOWER $ENV{PLATFORM} _vs_platform)
	else()
		set(_vs_platform "[undefined]") # x86
	endif()
	if(
		(_vs_platform STREQUAL "x64" AND NOT WIRESHARK_TARGET_PLATFORM STREQUAL "win64")
		OR
		(_vs_platform STREQUAL "[undefined]" AND NOT WIRESHARK_TARGET_PLATFORM STREQUAL "win32")
	)
		message(FATAL_ERROR "The PLATFORM environment variable (${_vs_platform})"
			" doesn't match the generator platform (${WIRESHARK_TARGET_PLATFORM})")
	endif()
	message(STATUS "Building for ${WIRESHARK_TARGET_PLATFORM} using ${CMAKE_GENERATOR}")

	# Determine where the 3rd party libraries will be
	if( DEFINED ENV{WIRESHARK_LIB_DIR} )
		# The buildbots set WIRESHARK_LIB_DIR but not WIRESHARK_BASE_DIR.
		file( TO_CMAKE_PATH "$ENV{WIRESHARK_LIB_DIR}" _PROJECT_LIB_DIR )
	elseif( DEFINED ENV{WIRESHARK_BASE_DIR} )
		file( TO_CMAKE_PATH "$ENV{WIRESHARK_BASE_DIR}" _WS_BASE_DIR )
		set( _PROJECT_LIB_DIR "${_WS_BASE_DIR}/Wireshark-${WIRESHARK_TARGET_PLATFORM}-libs-2.2" )
	else()
		# Don't know what to do
		message(FATAL_ERROR "Neither WIRESHARK_BASE_DIR or WIRESHARK_LIB_DIR are defined")
	endif()

	# Download third-party libraries
	file (TO_NATIVE_PATH ${CMAKE_SOURCE_DIR}/tools/win-setup.ps1 _win_setup)
	file (TO_NATIVE_PATH ${_PROJECT_LIB_DIR} _ws_lib_dir)
	if(MSVC14)
		set(_vsversion_args "14")
	elseif(MSVC12)
		set(_vsversion_args "12")
	elseif(MSVC11)
		set(_vsversion_args "11")
	elseif(MSVC10)
		set(_vsversion_args "10")
	else()
		message(FATAL_ERROR "Unsupported compiler ${CMAKE_C_COMPILER}")
	endif()

	# Is it possible to have a one-time, non-cached option in CMake? If
	# so, we could add a "-DFORCE_WIN_SETUP" which passes -Force to
	# win-setup.ps1.
	execute_process(
		COMMAND ${POWERSHELL_COMMAND} "\"${_win_setup}\"" -Destination "${_ws_lib_dir}" -Platform ${WIRESHARK_TARGET_PLATFORM} -VSVersion ${_vsversion_args}
		RESULT_VARIABLE _win_setup_failed
	)
	if (${_win_setup_failed})
		message(FATAL_ERROR "Windows setup (win-setup.ps1) failed.")
	endif()

	# XXX Add a dependency on ${_ws_lib_dir}/current_tag.txt?

	# Head off any attempts to use Cygwin's Python.
	include(LocatePythonExecutable)
endif(WIN32)

include(UseCustomIncludes)
ADD_CUSTOM_CMAKE_INCLUDE()

# This cannot be implemented via option(...)
if( NOT CMAKE_BUILD_TYPE )
	set( CMAKE_BUILD_TYPE RelWithDebInfo CACHE STRING
		"Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel."
		FORCE)
endif()
message(STATUS "Configuration types: ${CMAKE_CONFIGURATION_TYPES}")
string(TOUPPER "${CMAKE_BUILD_TYPE}" _build_type)
message(STATUS "CMAKE_C_FLAGS_${_build_type}: ${CMAKE_C_FLAGS_${_build_type}}")
message(STATUS "CMAKE_CXX_FLAGS_${_build_type}: ${CMAKE_CXX_FLAGS_${_build_type}}")

# Where to put executables and libraries in the build tree
# Note: Executables and libraries might end end up in a configuration
# subdirectory, e.g. run/Debug or run/Release. We try to set DATAFILE_DIR
# to a corresponding value below.
if(NOT ARCHIVE_OUTPUT_PATH)
	set(ARCHIVE_OUTPUT_PATH ${Wireshark_BINARY_DIR}/run CACHE INTERNAL
		   "Single output directory for building all archives.")
endif()
if(NOT EXECUTABLE_OUTPUT_PATH)
	set(EXECUTABLE_OUTPUT_PATH ${Wireshark_BINARY_DIR}/run CACHE INTERNAL
		   "Single output directory for building all executables.")
endif()
if(NOT LIBRARY_OUTPUT_PATH)
	set(LIBRARY_OUTPUT_PATH ${Wireshark_BINARY_DIR}/run CACHE INTERNAL
		   "Single output directory for building all libraries.")
endif()

# Under linux the release mode (CMAKE_BUILD_TYPE=release) defines NDEBUG
#Defines CMAKE_INSTALL_BINDIR, CMAKE_INSTALL_DATADIR, etc ...
include(CMakeInstallDirs)

# Banner shown at top right of Qt welcome screen.
if(DEFINED ENV{WIRESHARK_VERSION_FLAVOR})
	set(VERSION_FLAVOR "$ENV{WIRESHARK_VERSION_FLAVOR}")
#else()
#	set(VERSION_FLAVOR "Development Build")
endif()

# These are required in .rc files and manifests
set(VERSION_MAJOR ${PROJECT_MAJOR_VERSION})
set(VERSION_MINOR ${PROJECT_MINOR_VERSION})
set(VERSION_MICRO ${PROJECT_PATCH_VERSION})
set(VERSION_BUILD ${PROJECT_BUILD_VERSION})
set(RC_VERSION ${PROJECT_MAJOR_VERSION},${PROJECT_MINOR_VERSION},${PROJECT_PATCH_VERSION},${PROJECT_BUILD_VERSION})

message(STATUS "V: ${PROJECT_VERSION}, MaV: ${PROJECT_MAJOR_VERSION}, MiV: ${PROJECT_MINOR_VERSION}, PL: ${PROJECT_PATCH_VERSION}, EV: ${PROJECT_VERSION_EXTENSION}.")

include(UseLemon)
include(UseMakeDissectorReg)
include(UseMakeTapReg)
include(UseAsn2Wrs)

include_directories(
	${CMAKE_BINARY_DIR}
	${CMAKE_SOURCE_DIR}
	${CMAKE_SOURCE_DIR}/epan
	${CMAKE_SOURCE_DIR}/tools/lemon
)

include( CMakeOptions.txt )
if( DUMPCAP_INSTALL_OPTION STREQUAL "suid" )
	set( DUMPCAP_SETUID "SETUID" )
else()
	set( DUMPCAP_SETUID )
endif()
if( NOT CMAKE_SYSTEM_NAME STREQUAL "Linux" AND
	DUMPCAP_INSTALL_OPTION STREQUAL "capabilities" )
	message( WARNING "Capabilities are only supported on Linux" )
	set( DUMPCAP_INSTALL_OPTION )
endif()

# Always enable position-independent code when compiling, even for
# executables, so you can build position-independent executables.
# -pie is added below for non-MSVC.
# Needed when either:
# - Qt5_POSITION_INDEPENDENT_CODE is set and CMake < 2.8.11
# - PIE is wanted (-pie) and you want to add -fPIC/-fPIE automatically.
# This option only has an effect on CMake >= 2.8.9
set(CMAKE_POSITION_INDEPENDENT_CODE ON)

if( CMAKE_C_COMPILER_ID MATCHES "MSVC")
	if (MSVC10)
		set(MSC_VER_REQUIRED 1600)
	elseif(MSVC11)
		set(MSC_VER_REQUIRED 1700)
	elseif(MSVC12)
		set(MSC_VER_REQUIRED 1800)
	elseif(MSVC14)
		set(MSC_VER_REQUIRED 1900)
	else()
		message(FATAL_ERROR "You are using an unsupported version of MSVC")
	endif()

	add_definitions(
		/DWIN32_LEAN_AND_MEAN
		"/DMSC_VER_REQUIRED=${MSC_VER_REQUIRED}"
		/D_CRT_SECURE_NO_DEPRECATE
		# NOMINMAX keeps windows.h from defining "min" and "max" via windef.h.
		# This avoids conflicts with the C++ standard library.
		/DNOMINMAX
		# -DPSAPI_VERSION=1                 Programs that must run on earlier versions of Windows as well as Windows 7 and later
		#                                   versions should always call this function as GetProcessMemoryInfo. To ensure correct
		#                                   resolution of symbols, add Psapi.lib to the TARGETLIBS macro and compile the program
		#                                   with -DPSAPI_VERSION=1.To use run-time dynamic linking, load Psapi.dll.
		#                                   http://msdn.microsoft.com/en-us/library/windows/desktop/ms683219(v=vs.85).aspx
		# -DBUILD_WINDOWS                   Starting from VS2013, GetVersionEx is deprecated and we are recommended to use
		#                                   VerifyVersionInfo instead
		#                                   http://msdn.microsoft.com/en-us/library/windows/desktop/ms724429(v=vs.85).aspx
		#                                   http://msdn.microsoft.com/en-us/library/windows/desktop/ms725491(v=vs.85).aspx
		#                                   To continue to use GetVersionEx, we can define BUILD_WINDOWS
		# -D_ALLOW_KEYWORD_MACROS           For VS2012 onwards the, C++ STL does not permit macro redefinitions of keywords
		#                                   (see http://msdn.microsoft.com/en-us/library/bb531344(v=vs.110).aspx)
		#                                   This definition prevents the complaint about the redefinition of inline by WinPCap
		#                                   in pcap-stdinc.h when compiling C++ files, e.g. the Qt UI
		/DPSAPI_VERSION=1
		/DBUILD_WINDOWS
		/D_ALLOW_KEYWORD_MACROS
	)

	if(NOT "${WIRESHARK_TARGET_PLATFORM}" STREQUAL "win64")
		add_definitions("/D_BIND_TO_CURRENT_CRT_VERSION=1")
	endif()

	# FIXME: WINPCAP_VERSION cannot be determined from source or executable.
	set(WINPCAP_VERSION "4_1_3")
	add_definitions("/DWINPCAP_VERSION=${WINPCAP_VERSION}")

	set(LOCAL_CFLAGS
		/MP
	)

	if(MSVC12)
		# /Zo                               Enhanced debugging of optimised code for VS2013 Update 3 and beyond,
		#                                   Assume all VS2013 builds are at least Update 3.
		#                                   See http://msdn.microsoft.com/en-us/library/dn785163.aspx
		set(LOCAL_CFLAGS ${LOCAL_CFLAGS} "/Zo")
	elseif(MSVC14)
		# /Zo                               Enhanced debugging of optimised code
		# /utf-8                            Set Source and Executable character sets to UTF-8
		#                                   VS2015(MSVC14): On by default when /Zi or /Z7 used.
		set(LOCAL_CFLAGS ${LOCAL_CFLAGS} "/Zo" "/utf-8")
	endif()

	if(ENABLE_CODE_ANALYSIS)
		set(LOCAL_CFLAGS ${LOCAL_CFLAGS} "/analyze:WX-")
	endif()

	# Additional compiler warnings to be treated as "Level 3"
	#  when compiling Wireshark sources. (Selected from "level 4" warnings).
	## 4295: array is too small to include a terminating null character
	## 4189: local variable is initialized but not referenced
	set(WARNINGS_CFLAGS "/w34295 /w34189")

	set(WIRESHARK_COMMON_FLAGS
		${LOCAL_CFLAGS}
		${WARNINGS_CFLAGS}
	)

	set(WS_LINK_FLAGS "/LARGEADDRESSAWARE /MANIFEST:NO /INCREMENTAL:NO /RELEASE")

else()
	if(CMAKE_OSX_DEPLOYMENT_TARGET)
		if(APPLE)

=== wiretap/CMakeLists.txt ===
# CMakeLists.txt
#
# Wireshark - Network traffic analyzer
# By Gerald Combs <gerald@wireshark.org>
# Copyright 1998 Gerald Combs
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
#

include(UseABICheck)

set(WIRETAP_FILES
	5views.c
	aethra.c
	ascendtext.c
	atm.c
	ber.c
	btsnoop.c
	camins.c
	capsa.c
	catapult_dct2000.c
	commview.c
	cosine.c
	csids.c
	daintree-sna.c
	dbs-etherwatch.c
	dct3trace.c
	erf.c
	eyesdn.c
	file_access.c
	file_wrappers.c
	hcidump.c
	i4btrace.c
	ipfix.c
	iptrace.c
	iseries.c
	json.c
	k12.c
	lanalyzer.c
	libpcap.c
	logcat.c
	logcat_text.c
	merge.c
	mpeg.c
	mplog.c
	mime_file.c
	mp2t.c
	netmon.c
	netscaler.c
	netscreen.c
	nettl.c
	nettrace_3gpp_32_423.c
	network_instruments.c
	netxray.c
	ngsniffer.c
	packetlogger.c
	pcap-common.c
	pcapng.c
	peekclassic.c
	peektagged.c
	pppdump.c
	radcom.c
	snoop.c
	stanag4607.c
	tnef.c
	toshiba.c
	visual.c
	vms.c
	vwr.c
	wtap.c
	wtap_opttypes.c
	${CMAKE_SOURCE_DIR}/ws_version_info.c
)

if (WERROR_COMMON_FLAGS)
	set_source_files_properties(
		${WIRETAP_FILES}
		PROPERTIES
		COMPILE_FLAGS ${WERROR_COMMON_FLAGS}
	)
endif()

add_lex_files(LEX_FILES GENERATED_FILES
	ascend_scanner.l
	k12text.l
)

add_yacc_files(YACC_FILES GENERATED_FILES
	ascend.y
)

set(wiretap_LIBS
	${GLIB2_LIBRARIES}
	${GMODULE2_LIBRARIES}
	${ZLIB_LIBRARIES}
	wsutil
)

add_library(wiretap ${LINK_MODE_LIB}
	${WIRETAP_FILES}
	${GENERATED_FILES}
	${CMAKE_BINARY_DIR}/image/wiretap.rc
)

add_dependencies(wiretap version)

set(FULL_SO_VERSION "6.0.0")

set_target_properties(wiretap PROPERTIES
	PREFIX "lib"
	COMPILE_DEFINITIONS "WS_BUILD_DLL"
	LINK_FLAGS "${WS_LINK_FLAGS}"
	VERSION ${FULL_SO_VERSION} SOVERSION 6
	FOLDER "DLLs"
)

if(ENABLE_APPLICATION_BUNDLE)
	set_target_properties(wiretap PROPERTIES
		LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/run/Wireshark.app/Contents/Frameworks
	)
endif()

ABICHECK(libwiretap)

add_custom_command(OUTPUT libwiretap.abi.tar.gz
	COMMAND ${CMAKE_COMMAND} -E remove_directory ${ABICHECK_TMPDIR}
	COMMAND ${CMAKE_COMMAND} -E make_directory ${ABICHECK_TMPDIR}
	COMMAND ${ABI_COPY_COMMAND} ../config.h ${ABICHECK_TMPDIR}/ ${ABI_COPY_FLAGS}
	COMMAND ${ABI_COPY_COMMAND} ${ABICHECK_HEADERS} ${ABICHECK_TMPDIR}/ ${ABI_COPY_FLAGS}
	COMMAND ${ABICHECK_COMMAND}
	COMMAND cp ${CMAKE_CURRENT_BINARY_DIR}/abi_dumps/libwiretap/libwiretap_* ${CMAKE_CURRENT_BINARY_DIR}/libwiretap.abi.tar.gz
	COMMAND rm -rf ${ABICHECK_TMPDIR} ${CMAKE_CURRENT_BINARY_DIR}/abi_dumps
	DEPENDS ${HEADERS} wiretap)

target_link_libraries(wiretap ${wiretap_LIBS})

if(NOT ${ENABLE_STATIC})
	install(TARGETS wiretap
		LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
		RUNTIME DESTINATION ${CMAKE_INSTALL_LIBDIR}
		ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
	)
endif()

CHECKAPI(
	NAME
	  wiretap
	SWITCHES
## 'abort' checking disabled for now pending resolution of existing use of g_assert & g_error
##	  -g abort -g termoutput
	  -g termoutput -build
	SOURCES
	  ${WIRETAP_FILES}
# LEX files commented out due to use of malloc, free etc.
#	  ${LEX_FILES}
	  ${YACC_FILES}
)

=== epan/dissectors/CMakeLists.txt ===
# CMakeLists.txt
#
# Wireshark - Network traffic analyzer
# By Gerald Combs <gerald@wireshark.org>
# Copyright 1998 Gerald Combs
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
#

ADD_CUSTOM_CMAKE_INCLUDE()

add_subdirectory(asn1 EXCLUDE_FROM_ALL)
add_subdirectory(dcerpc EXCLUDE_FROM_ALL)
add_subdirectory(pidl EXCLUDE_FROM_ALL)

include_directories(
	${CMAKE_CURRENT_BINARY_DIR}
	${CMAKE_CURRENT_SOURCE_DIR}
)

add_custom_command(
	OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/packet-ncp2222.c
	COMMAND ${PYTHON_EXECUTABLE}
		${CMAKE_SOURCE_DIR}/tools/ncp2222.py
		-o ${CMAKE_CURRENT_BINARY_DIR}/packet-ncp2222.c
	DEPENDS
		packet-ncp2222.inc
		${CMAKE_SOURCE_DIR}/tools/ncp2222.py
)

add_custom_target(x11-dissector
	COMMAND ${PERL_EXECUTABLE}
		${CMAKE_SOURCE_DIR}/tools/process-x11-fields.pl ${CMAKE_CURRENT_SOURCE_DIR}/dissectors
		< ${CMAKE_CURRENT_SOURCE_DIR}/x11-fields
	COMMAND ${PERL_EXECUTABLE}
		${CMAKE_SOURCE_DIR}/tools/process-x11-xcb.pl ${CMAKE_CURRENT_SOURCE_DIR}/dissectors
	DEPENDS
		x11-fields
		${CMAKE_SOURCE_DIR}/tools/process-x11-fields.pl
		${CMAKE_SOURCE_DIR}/tools/process-x11-xcb.pl
		${CMAKE_CURRENT_SOURCE_DIR}/xcbproto
		${CMAKE_CURRENT_SOURCE_DIR}/mesa
)

set_target_properties(x11-dissector PROPERTIES FOLDER "Generated Dissectors/X11")

set(ASN1_DISSECTOR_SRC
	packet-ansi_map.c
	packet-acp133.c
	packet-acse.c
	packet-ansi_tcap.c
	packet-atn-ulcs.c
	packet-atn-cm.c
	packet-atn-cpdlc.c
	packet-c1222.c
	packet-camel.c
	packet-cdt.c
	packet-charging_ase.c
	packet-cmip.c
	packet-cmp.c
	packet-cms.c
	packet-credssp.c
	packet-crmf.c
	packet-dap.c
	packet-disp.c
	packet-dop.c
	packet-dsp.c
	packet-ecp.c
	packet-ess.c
	packet-ftam.c
	packet-goose.c
	packet-gsm_map.c
	packet-HI2Operations.c
	packet-h225.c
	packet-h235.c
	packet-h245.c
	packet-h248.c
	packet-h282.c
	packet-h283.c
	packet-h323.c
	packet-h450.c
	packet-h450-ros.c
	packet-h460.c
	packet-h501.c
	packet-hnbap.c
	packet-idmp.c
	packet-ilp.c
	packet-inap.c
	packet-isdn-sup.c
	packet-kerberos.c
	packet-lcsap.c
	packet-ldap.c
	packet-logotypecertextn.c
	packet-lpp.c
	packet-lppa.c
	packet-lppe.c
	packet-lte-rrc.c
	packet-m3ap.c
	packet-mms.c
	packet-mpeg-audio.c
	packet-mpeg-pes.c
	packet-nbap.c
	packet-novell_pkis.c
	packet-ns_cert_exts.c
	packet-ocsp.c
	packet-p1.c
	packet-p22.c
	packet-p7.c
	packet-p772.c
	packet-pcap.c
	packet-pkcs1.c
	packet-pkcs12.c
	packet-pkinit.c
	packet-pkix1explicit.c
	packet-pkix1implicit.c
	packet-pkixac.c
	packet-pkixproxy.c
	packet-pkixqualified.c
	packet-pkixtsp.c
	packet-pres.c
	packet-q932.c
	packet-q932-ros.c
	packet-qsig.c
	packet-ranap.c
	packet-rnsap.c
	packet-ros.c
	packet-rrc.c
	packet-rrlp.c
	packet-rtse.c
	packet-rua.c
	packet-s1ap.c
	packet-sabp.c
	packet-sbc-ap.c
	packet-smrse.c
	packet-snmp.c
	packet-spnego.c
	packet-sv.c
	packet-t124.c
	packet-t125.c
	packet-t38.c
	packet-tcap.c
	packet-tetra.c
	packet-ulp.c
	packet-wlancertextn.c
	packet-x2ap.c
	packet-x509af.c
	packet-x509ce.c
	packet-x509if.c
	packet-x509sat.c
)

set(DIRTY_ASN1_DISSECTOR_SRC
)

set(DIRTY_CORBA_IDL_DISSECTOR_SRC
	packet-cosnaming.c
	packet-gias.c
	packet-parlay.c
	packet-tango.c
)

set(CORBA_IDL_DISSECTOR_SRC
	packet-coseventcomm.c
)

set(CORBA_IDL_DISSECTOR_FILES
	${CORBA_IDL_DISSECTOR_SRC}
	${DIRTY_CORBA_IDL_DISSECTOR_SRC}
)

source_group(dissectors-corba FILES ${CORBA_IDL_DISSECTOR_FILES})

add_library(dissectors-corba OBJECT
	${CORBA_IDL_DISSECTOR_FILES}
)

set_target_properties(dissectors-corba PROPERTIES
	FOLDER "Libs/epan/dissectors"
	COMPILE_DEFINITIONS "WS_BUILD_DLL"
)

if(WIN32 AND "${CMAKE_GENERATOR}" STREQUAL "Visual Studio 12 2013 Win64")
	# CORBA IDL dissectors are triggering a MSVC 2013 x64 /O2 bug leading to a NULL pointer dereference (see bug 12495)
	target_compile_options(dissectors-corba PRIVATE $<$<CONFIG:Release>:/Ox> $<$<CONFIG:RelWithDebInfo>:/Ox>)
endif()

set(DISSECTOR_SRC
	file-btsnoop.c
	file-elf.c
	file-file.c
	file-gif.c
	file-jpeg.c
	file-mp4.c
	file-pcap.c
	file-pcapng.c
	file-png.c
	packet-2dparityfec.c
	packet-3com-njack.c
	packet-3com-xns.c
	packet-3g-a11.c
	packet-6lowpan.c
	packet-9p.c
	packet-a21.c
	packet-aarp.c
	packet-aastra-aasp.c
	packet-acap.c
	packet-acn.c
	packet-acr122.c
	packet-actrace.c
	packet-adb.c
	packet-adb_cs.c
	packet-adb_service.c
	packet-adwin-config.c
	packet-adwin.c
	packet-aeron.c
	packet-afp.c
	packet-afs.c
	packet-agentx.c
	packet-aim-admin.c
	packet-aim-adverts.c
	packet-aim-bos.c
	packet-aim-buddylist.c
	packet-aim-chat.c
	packet-aim-chatnav.c
	packet-aim-directory.c
	packet-aim-email.c
	packet-aim-generic.c
	packet-aim-icq.c
	packet-aim-invitation.c
	packet-aim-location.c
	packet-aim-messaging.c
	packet-aim-oft.c
	packet-aim-popup.c
	packet-aim-signon.c
	packet-aim-ssi.c
	packet-aim-sst.c
	packet-aim-stats.c
	packet-aim-translate.c
	packet-aim-userlookup.c
	packet-aim.c
	packet-ajp13.c
	packet-alcap.c
	packet-alljoyn.c
	packet-amqp.c
	packet-amr.c
	packet-ancp.c
	packet-ans.c
	packet-ansi_637.c
	packet-ansi_683.c
	packet-ansi_801.c
	packet-ansi_a.c
	packet-aodv.c
	packet-aoe.c
	packet-aol.c
	packet-ap1394.c
	packet-app-pkix-cert.c
	packet-applemidi.c
	packet-aprs.c
	packet-arcnet.c
	packet-armagetronad.c
	packet-arp.c
	packet-artnet.c
	packet-aruba-adp.c
	packet-aruba-erm.c
	packet-aruba-iap.c
	packet-aruba-papi.c
	packet-ar_drone.c
	packet-asap.c
	packet-ascend.c
	packet-asf.c
	packet-assa_r3.c
	packet-asterix.c
	packet-at.c
	packet-atalk.c
	packet-ath.c
	packet-atm.c
	packet-atmtcp.c
	packet-auto_rp.c
	packet-ax25.c
	packet-ax25-kiss.c
	packet-ax25-nol3.c
	packet-ax4000.c
	packet-ayiya.c
	packet-babel.c
	packet-bacapp.c
	packet-bacnet.c
	packet-banana.c
	packet-bat.c
	packet-batadv.c
	packet-bctp.c
	packet-beep.c
	packet-bencode.c
	packet-ber.c
	packet-bfcp.c
	packet-bfd.c
	packet-bgp.c
	packet-bitcoin.c
	packet-bittorrent.c
	packet-bjnp.c
	packet-bluecom.c
	packet-bluetooth.c
	packet-bmc.c
	packet-bmp.c
	packet-bofl.c
	packet-bootp.c
	packet-bootparams.c
	packet-bpdu.c
	packet-bpq.c
	packet-brdwlk.c
	packet-brp.c
	packet-bssap.c
	packet-bssgp.c
	packet-bt-dht.c
	packet-bt-utp.c
	packet-bt3ds.c
	packet-btamp.c
	packet-btatt.c
	packet-btbnep.c
	packet-btbredr_rf.c
	packet-btavctp.c
	packet-btavdtp.c
	packet-btavrcp.c
	packet-bthci_acl.c
	packet-bthci_cmd.c
	packet-bthci_evt.c
	packet-bthci_sco.c
	packet-bthci_vendor.c
	packet-bthcrp.c
	packet-bthfp.c
	packet-bthid.c
	packet-bthsp.c
	packet-btl2cap.c
	packet-btle.c
	packet-btle_rf.c
	packet-btmcap.c
	packet-btrfcomm.c
	packet-btsap.c
	packet-btsdp.c
	packet-btsmp.c
	packet-bvlc.c
	packet-bzr.c
	packet-c15ch.c
	packet-calcappprotocol.c
	packet-canopen.c
	packet-capwap.c
	packet-carp.c
	packet-cast.c
	packet-catapult-dct2000.c
	packet-cattp.c
	packet-cbor.c
	packet-ccsds.c
	packet-cdp.c
	packet-cell_broadcast.c
	packet-ceph.c
	packet-cfdp.c
	packet-cfm.c
	packet-cgmp.c
	packet-chargen.c
	packet-chdlc.c
	packet-cigi.c
	packet-cimd.c
	packet-cimetrics.c
	packet-cip.c
	packet-cipmotion.c
	packet-cipsafety.c
	packet-cisco-erspan.c
	packet-cisco-fp-mim.c
	packet-cisco-marker.c
	packet-cisco-metadata.c
	packet-cisco-oui.c
	packet-cisco-sm.c
	packet-cisco-ttag.c
	packet-cisco-wids.c
	packet-classicstun.c
	packet-clearcase.c
	packet-clip.c
	packet-clique-rm.c
	packet-clnp.c
	packet-cmpp.c
	packet-cnip.c
	packet-coap.c
	packet-collectd.c
	packet-componentstatus.c
	packet-cops.c
	packet-corosync-totemnet.c
	packet-corosync-totemsrp.c
	packet-cosine.c
	packet-couchbase.c
	packet-cp2179.c
	packet-cpfi.c
	packet-cpha.c
	packet-cql.c
	packet-csm-encaps.c
	packet-csn1.c
	packet-ctdb.c
	packet-cups.c
	packet-daap.c
	packet-data.c
	packet-daytime.c
	packet-db-lsp.c
	packet-dbus.c
	packet-dcc.c
	packet-dccp.c
	packet-dcerpc-bossvr.c
	packet-dcerpc-browser.c
	packet-dcerpc-cds_clerkserver.c
	packet-dcerpc-cds_solicit.c
	packet-dcerpc-conv.c
	packet-dcerpc-cprpc_server.c
	packet-dcerpc-dce122.c
	packet-dcerpc-dtsprovider.c
	packet-dcerpc-dtsstime_req.c
	packet-dcerpc-epm.c
	packet-dcerpc-fileexp.c
	packet-dcerpc-fldb.c
	packet-dcerpc-frsapi.c
	packet-dcerpc-frsrpc.c
	packet-dcerpc-ftserver.c
	packet-dcerpc-icl_rpc.c
	packet-dcerpc-krb5rpc.c
	packet-dcerpc-llb.c
	packet-dcerpc-messenger.c
	packet-dcerpc-mgmt.c
	packet-dcerpc-ndr.c
	packet-dcerpc-netlogon.c
	packet-dcerpc-pnp.c
	packet-dcerpc-rdaclif.c
	packet-dcerpc-rep_proc.c
	packet-dcerpc-roverride.c
	packet-dcerpc-rpriv.c
	packet-dcerpc-rras.c
	packet-dcerpc-rs_acct.c
	packet-dcerpc-rs_attr.c
	packet-dcerpc-rs_attr_schema.c
	packet-dcerpc-rs_bind.c
	packet-dcerpc-rs_misc.c
	packet-dcerpc-rs_pgo.c
	packet-dcerpc-rs_plcy.c
	packet-dcerpc-rs_prop_acct.c
	packet-dcerpc-rs_prop_acl.c
	packet-dcerpc-rs_prop_attr.c
	packet-dcerpc-rs_prop_pgo.c
	packet-dcerpc-rs_prop_plcy.c
	packet-dcerpc-rs_pwd_mgmt.c
	packet-dcerpc-rs_repadm.c
	packet-dcerpc-rs_replist.c
	packet-dcerpc-rs_repmgr.c
	packet-dcerpc-rs_unix.c
	packet-dcerpc-rsec_login.c
	packet-dcerpc-samr.c
	packet-dcerpc-secidmap.c
	packet-dcerpc-spoolss.c
	packet-dcerpc-svcctl.c
	packet-dcerpc-tapi.c
	packet-dcerpc-tkn4int.c
	packet-dcerpc-trksvr.c
	packet-dcerpc-ubikdisk.c
	packet-dcerpc-ubikvote.c
	packet-dcerpc-update.c
	packet-dcerpc.c
	packet-dcm.c
	packet-dcom-dispatch.c
	packet-dcom-oxid.c
	packet-dcom-remact.c
	packet-dcom-remunkn.c
	packet-dcom-sysact.c
	packet-dcom.c
	packet-dcp-etsi.c
	packet-ddtp.c
	packet-dec-bpdu.c
	packet-dec-dnart.c
	packet-dect.c
	packet-devicenet.c
	packet-dhcp-failover.c
	packet-dhcpv6.c
	packet-diameter.c
	packet-diameter_3gpp.c
	packet-diffserv-mpls-common.c
	packet-dis.c
	packet-distcc.c
	packet-dji-uav.c
	packet-dlm3.c
	packet-dlsw.c
	packet-dmp.c
	packet-dmx.c
	packet-dnp.c
	packet-dns.c
	packet-dof.c
	packet-dplay.c
	packet-dpnss-link.c
	packet-dpnss.c
	packet-drda.c
	packet-dsi.c
	packet-dsr.c
	packet-dtcp-ip.c
	packet-dtls.c
	packet-dtn.c
	packet-dtp.c
	packet-dtpt.c
	packet-dua.c
	packet-dvb-ait.c
	packet-dvb-bat.c
	packet-dvb-data-mpe.c
	packet-dvb-eit.c
	packet-dvb-ipdc.c
	packet-dvb-nit.c
	packet-dvb-s2-bb.c
	packet-dvb-sdt.c
	packet-dvb-tdt.c
	packet-dvb-tot.c
	packet-dvbci.c
	packet-dvmrp.c
	packet-e100.c
	packet-e164.c
	packet-e212.c
	packet-eap.c
	packet-eapol.c
	packet-echo.c
	packet-ecmp.c
	packet-ecp-oui.c
	packet-edonkey.c
	packet-egd.c
	packet-ehdlc.c
	packet-ehs.c
	packet-eigrp.c
	packet-eiss.c
	packet-elasticsearch.c
	packet-elcom.c
	packet-elmi.c
	packet-enc.c
	packet-enip.c
	packet-enrp.c
	packet-enttec.c
	packet-epl.c
	packet-epl_v1.c
	packet-epmd.c
	packet-epon.c
	packet-erf.c
	packet-erldp.c
	packet-esio.c
	packet-esis.c
	packet-etag.c
	packet-etch.c
	packet-eth.c
	packet-etherip.c
	packet-ethertype.c
	packet-etsi_card_app_toolkit.c
	packet-etv.c
	packet-evrc.c
	packet-exec.c
	packet-exported_pdu.c
	packet-extreme.c
	packet-fc.c
	packet-fcct.c
	packet-fcdns.c
	packet-fcels.c
	packet-fcfcs.c
	packet-fcfzs.c
	packet-fcgi.c
	packet-fcip.c
	packet-fclctl.c
	packet-fcoe.c
	packet-fcoib.c
	packet-fcp.c
	packet-fcsb3.c
	packet-fcsp.c
	packet-fcswils.c
	packet-fddi.c
	packet-fefd.c
	packet-ff.c
	packet-finger.c
	packet-fip.c
	packet-fix.c
	packet-flexnet.c
	packet-flexray.c
	packet-flip.c
	packet-fmp.c
	packet-fmp_notify.c
	packet-fmtp.c
	packet-force10-oui.c
	packet-forces.c
	packet-foundry.c
	packet-fp_hint.c
	packet-fr.c
	packet-fractalgeneratorprotocol.c
	packet-frame.c
	packet-ftp.c
	packet-fw1.c
	packet-g723.c
	packet-gadu-gadu.c
	packet-gdb.c
	packet-gdsdb.c
	packet-gearman.c
	packet-ged125.c

=== debian/changelog ===
wireshark (2.2.0+g5368c50-1) unstable; urgency=medium

  * New upstream release
    - release notes:
      https://www.wireshark.org/docs/relnotes/wireshark-2.2.0.html
  * Don't show version in window title by default (Closes: #642427)

 -- Balint Reczey <balint@balintreczey.hu>  Thu, 08 Sep 2016 23:16:17 +0200

wireshark (2.2.0~rc2+g7670a27-1) unstable; urgency=medium

  * Use proper CC flags when test-compiling with development headers
  * New upstream release candidate
  * Update symbols files
  * Build-depend on lsb-release to make release detection work
  * Build-depend on libnghttp2-dev and use system's libnghttp2

 -- Balint Reczey <balint@balintreczey.hu>  Fri, 02 Sep 2016 02:49:32 +0200

wireshark (2.2.0~rc1+g438c022-1) unstable; urgency=medium

  * New upstream release candidate
    - release notes:
      https://www.wireshark.org/docs/relnotes/wireshark-2.2.0rc1.html
    - bug fixes
      - Fix null dereference in stats (Closes: #786704)
      - Detect proper large file defines (Closes: #776206)
      - Use field info length instead of packet length for protocol
        hierarchy stats (Closes: #151017)
   * Drop obsolete patches integrated upstream
   * Refresh patches

 -- Balint Reczey <balint@balintreczey.hu>  Tue, 23 Aug 2016 02:31:31 +0200

wireshark (2.0.5+ga3be9c6-1) unstable; urgency=medium

  * Generate better pkg-config file (Closes: #832926)
  * New upstream release
    - release notes:
      https://www.wireshark.org/docs/relnotes/wireshark-2.0.5.html
    - bug fixes
      - Allow restoring maximized windows as maximized (Closes: #780089)
      - Restart current capture fails with "no interface selected" error
        when capturing in promiscuous mode (Closes: #812495, #813680,
        #826385)
    - security fixes:
      - PacketBB dissector could divide by zero (CVE-2016-6505)
      - WSP infinite loop (CVE-2016-6506)
      - RLC long loop (CVE-2016-6508)
      - LDSS dissector crash (CVE-2016-6509)
      - RLC dissector crash (CVE-2016-6510)
      - OpenFlow long loop (CVE-2016-6511)
      - MMSE, WAP, WBXML, and WSP infinite loop (CVE-2016-6512)
      - WBXML crash (CVE-2016-6513)
   * Bump standards version to 3.9.8

 -- Balint Reczey <balint@balintreczey.hu>  Tue, 02 Aug 2016 11:11:21 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: net
 Priority: optional
 Maintainer: Balint Reczey <balint@balintreczey.hu>
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Build-Depends: libgtk-3-dev,
 # enable Qt 5 related dependencies for Qt 5-enabled build
  qtbase5-dev, qtbase5-dev-tools, qttools5-dev, qttools5-dev-tools,
@@ -12,7 +12,7 @@
  libpcap0.8-dev, flex, libz-dev, debhelper (>= 9), po-debconf, libtool,
  python (>= 2.6.6-3~), python-ply, libc-ares-dev, xsltproc, dh-python,
  docbook-xsl (>= 1.64.1.0-0), docbook-xml, libxml2-utils, libpcre3-dev,
- libcap2-dev [linux-any] | libcap-dev (>= 2.17) [linux-any],
+ libcap2-dev [linux-any] | libcap-dev (>= 2.17) [linux-any], lsb-release,
  bison,
 # enable versioned libgnutls28-dev below to have GPLv2+ compatible GMP
  libgnutls28-dev (>= 3.2.14-1~),
@@ -21,7 +21,7 @@
  libgcrypt-dev, portaudio19-dev, libkrb5-dev, liblua5.2-dev, libsmi2-dev,
  libgeoip-dev, dpkg-dev (>= 1.16.1~), imagemagick, xdg-utils,
  libnl-genl-3-dev [linux-any], libnl-route-3-dev [linux-any], asciidoc, cmake, w3m,
- libsbc-dev
+ libsbc-dev, libnghttp2-dev
 Build-Conflicts: libsnmp4.2-dev, libsnmp-dev
 Vcs-Svn: svn://anonscm.debian.org/collab-maint/ext-maint/wireshark/trunk
 Vcs-Browser: http://anonscm.debian.org/viewvc/collab-maint/ext-maint/wireshark/trunk/
@@ -29,8 +29,8 @@
 
 Package: wireshark-common
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libwireshark6 (>= ${binary:Version}),
- libwiretap5 (>= ${binary:Version}), libcap2-bin [linux-any]
+Depends: ${shlibs:Depends}, ${misc:Depends}, libwireshark8 (>= ${binary:Version}),
+ libwiretap6 (>= ${binary:Version}), libcap2-bin [linux-any]
 Recommends: wireshark (>= ${binary:Version}) | tshark (>= ${binary:Version})
 Breaks: ethereal (<< 1.0.0-3),
         wireshark (<< 2.0.0~),
@@ -126,13 +126,13 @@
  This package contains Wireshark User's guide, Wireshark Developer's Guide
  and the Lua Reference.
 
-Package: libwireshark6
+Package: libwireshark8
 Section: libs
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}, libwireshark-data (>= ${source:Version}),
- libwsutil6 (>= ${source:Version})
+ libwsutil7 (>= ${source:Version}), libwscodecs1 (>= ${source:Version})
 Suggests: wireshark-doc (>= ${source:Version})
 Conflicts: wireshark-common (<< 1.4.0~rc2-1)
 Replaces: wireshark-common (<< 1.4.0~rc2-1)
@@ -140,7 +140,7 @@
  The libwireshark library provides the network packet dissection services
  developed by the Wireshark project.
 
-Package: libwsutil6
+Package: libwsutil7
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -149,12 +149,12 @@
 Conflicts: wireshark-common (<< 1.4.0~rc2-1), libwireshark1 (<< 1.4.2-2)
 Replaces: wireshark-common (<< 1.4.0~rc2-1), libwireshark1 (<< 1.4.2-2)
 Description: network packet dissection utilities library -- shared library
- The libwsutil library provides utility functions for libwireshark6.
+ The libwsutil library provides utility functions for libwireshark8.
 
 Package: libwsutil-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends} , libwsutil6 (= ${binary:Version})
+Depends: ${misc:Depends} , libwsutil7 (= ${binary:Version})
 Conflicts: wireshark-common (<< 1.4.0~rc2-1), libwireshark-dev (<< 1.4.2-2),
  wireshark-dev (<< 1.4.0~rc2-1)
 Replaces: wireshark-common (<< 1.4.0~rc2-1), libwireshark-dev (<< 1.4.2-2),
@@ -164,6 +164,15 @@
  .
  This package contains the static library and the C header files that are
  needed for applications to use the libwsutil library.
+
+Package: libwscodecs1
+Section: libs
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: network packet dissection codecs library -- shared library
+ The libwscodecs library provides codec functions for libwireshark8.
 
 Package: libwireshark-data
 Section: libs
@@ -182,7 +191,7 @@
 
 Package: libwireshark-dev
 Section: libdevel
-Depends: ${misc:Depends}, libwsutil-dev, libwireshark6 (= ${binary:Version})
+Depends: ${misc:Depends}, libwsutil-dev, libwireshark8 (= ${binary:Version})
 Conflicts: wireshark-dev (<< 1.4.0~rc2-1)
 Replaces: wireshark-dev (<< 1.4.0~rc2-1)
 Architecture: any
@@ -193,7 +202,7 @@
  This package contains the static library and the C header files that are
  needed for applications to use libwireshark services.
 
-Package: libwiretap5
+Package: libwiretap6
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -228,7 +237,7 @@
 
 Package: libwiretap-dev
 Section: libdevel
-Depends: ${misc:Depends}, libwiretap5 (= ${binary:Version})
+Depends: ${misc:Depends}, libwiretap6 (= ${binary:Version})
 Conflicts: wireshark-dev (<< 1.4.0~rc2-1)
 Replaces: wireshark-dev (<< 1.4.0~rc2-1)
 Architecture: any
